
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/basic/CachePoint.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "缓存点",
      name: "CachePoint",
      url: "/CachePoint/",
      sortName: "id",
    });
    const editFormFields = ref({
      areaId: "",
      pointCode: "",
      pointStatus: "",
      enableStatus: "",
      pointType: "",
      row: "",
      column: "",
      depth: "",
    });
    const editFormOptions = ref([
      [
        {title: "区域主键",required: true,field: "areaId",type: "string",},
        {title: "缓存点编号",required: true,field: "pointCode",type: "string",},
        {title: "缓存点状态",field: "pointStatus",type: "select",dataKey: "locationStatusEnum",data: [],},
        {title: "是否禁用",field: "enableStatus",type: "select",dataKey: "enableEnum",data: [],},
      ],[
        { title: "行", field: "row", type: "string" },
        { title: "列", field: "column", type: "string" },
        { title: "深度", field: "depth", type: "string" },
        { title: "缓存点类型", field: "pointType", type: "string"},
      ],
    ]);
    const searchFormFields = ref({
      areaId: "",
      pointCode: "",
      pointStatus: "",
      enableStatus: "",
      pointType: "",
      row: "",
      column: "",
      depth: "",
    });
    const searchFormOptions = ref([
      [
        {title: "区域主键",field: "areaId",type: "string",},
        {title: "缓存点编号",field: "pointCode",type: "string",},
        {title: "缓存点状态",field: "pointStatus",type: "select",dataKey: "locationStatusEnum",data: [],},
        {title: "是否禁用",field: "enableStatus",type: "select",dataKey: "enableEnum",data: [],},
      ],[
        { title: "行", field: "row", type: "string" },
        { title: "列", field: "column", type: "string" },
        { title: "深度", field: "depth", type: "string" },
        { title: "缓存点类型", field: "pointType", type: "string"},
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "areaId",
        title: "区域主键",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "pointCode",
        title: "缓存点编号",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "pointStatus",
        title: "缓存点状态",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "locationStatusEnum", data: [] },
      },
      {
        field: "enableStatus",
        title: "是否禁用",
        type: "decimal",
        width: 90,
        align: "left",
        bind: { key: "enableEnum", data: [] },
      },
      {
        field: "row",
        title: "行",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "column",
        title: "列",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "depth",
        title: "深度",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "pointType",
        title: "缓存点类型",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "Remark",
        title: "备注",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    